org.apache.jmeter.gui

## Class HtmlReportUI

- java.lang.Object
- - org.apache.jmeter.gui.HtmlReportUI

- All Implemented Interfaces:
    ActionListener, EventListener

      public class HtmlReportUI
      extends Object
      implements ActionListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlReportUI()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent e)`
    `void` | `setupInputDialog(JFrame parent)`
    `void` | `showInputDialog(JFrame parent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlReportUI

          public HtmlReportUI()

  - ### Method Detail

    - #### showInputDialog

          public void showInputDialog(JFrame parent)

    - #### setupInputDialog

          public void setupInputDialog(JFrame parent)

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

      Specified by:
        `actionPerformed` in interface `ActionListener`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.